Page MenuHomePhabricator

Entering ";" does not trip the wikitext warning that it won't work
Closed, ResolvedPublic

Description

Lines starting with ; are not recognized as wikitext and just saved, only afterwards revealing their wikitext meaning:

https://wikimania2014.wikimedia.org/w/index.php?title=User%3ADeryck_Chan%2FWMUK_report&diff=49488&oldid=49487

Reported: https://www.mediawiki.org/wiki/Thread:VisualEditor/Feedback/;caption


Version: unspecified
Severity: trivial

Details

Reference
bz69689

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:39 AM
bzimport set Reference to bz69689.
TheDJ created this task.Aug 18 2014, 10:58 AM
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
Jdforrester-WMF renamed this task from VisualEditor: Entering ";" does not trip the wikitext warning that it won't work to Entering ";" does not trip the wikitext warning that it won't work.Nov 26 2014, 12:07 AM
Jdforrester-WMF moved this task from Freezer to TR6: Visual diffs on the VisualEditor board.
Jdforrester-WMF set Security to None.

Change 175909 had a related patch set uploaded (by Jforrester):
Warn users who write ';' or ':' on a new line that it won't work

https://gerrit.wikimedia.org/r/175909

Patch-For-Review

Jdforrester-WMF moved this task from TR6: Visual diffs to Blocked on the VisualEditor board.

Change 175909 merged by jenkins-bot:
Warn users who write ';' or ':' on a new line that it won't work

https://gerrit.wikimedia.org/r/175909

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Nov 26 2014, 1:44 AM

Verified in beta and test2 - a semi-colon will trigger a wikitext warning; a colon(:) - indicates a <blockquote> text.

I don't think that's exactly correct: the ; semi-colon and the : regular
colon are supposed to create association lists (aka definition lists,
because they're used for glossaries a lot). I believe that a <blockquote>
is a different thing.

Whatamidoing (WMF)/Sherry Snyder
Community Liaison
Wikimedia Foundation, Inc.

Indeed. This is intentional. Use of a ":" to "indent a paragraph" (as multiple people who are wikitext experts have complained) is a sign that they're doing it wrong. :-) This is a much better outcome for editors – doing what they "meant" to do – and for readers.

The current behavior in production:
;(semi-colon) triggers a warning "Wikitext markup detected..."
: (colon) adds <blockquote></blockquote>